API ReferenceapiclinicalPOST /v1/contraindications/check

POST /v1/contraindications/check

Service: clinical · operationId: (none)

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string",
      "minLength": 1
    },
    "brand_id": {
      "type": "string",
      "minLength": 1
    },
    "protocol_id": {
      "type": "string",
      "minLength": 1
    },
    "medications": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      },
      "minItems": 1
    }
  },
  "required": [
    "patient_id",
    "brand_id",
    "protocol_id",
    "medications"
  ]
}

Responses

200 Contraindication check results

{
  "type": "object",
  "properties": {
    "protocol_id": {
      "type": "string"
    },
    "protocol_name": {
      "type": "string"
    },
    "category": {
      "type": "string"
    },
    "hits": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "rule_id": {
            "type": "string"
          },
          "medication_code": {
            "type": "string"
          },
          "medication_name": {
            "type": "string"
          },
          "protocol_category": {
            "type": "string"
          },
          "severity": {
            "type": "string",
            "enum": [
              "absolute",
              "relative",
              "caution"
            ]
          },
          "reason": {
            "type": "string"
          },
          "alternatives": {
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        },
        "required": [
          "rule_id",
          "medication_code",
          "medication_name",
          "protocol_category",
          "severity",
          "reason",
          "alternatives"
        ]
      }
    },
    "has_absolute": {
      "type": "boolean"
    },
    "count": {
      "type": "number"
    }
  },
  "required": [
    "protocol_id",
    "protocol_name",
    "category",
    "hits",
    "has_absolute",
    "count"
  ]
}

404 Protocol not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://clinical.platform.loop.health/v1/contraindications/check \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'